package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 代数枚举（复购直推）
 */
@AllArgsConstructor
@Getter
public enum EAlgebra {

    /**
     * 一代
     */
    ONE_ALGEBRA(1, "一代", 0),

    /**
     * 二代
     */
    TWO_ALGEBRA(2, "二代", 0),

    /**
     * 三代
     */
    THREE_ALGEBRA(3, "三代", 0),
    /**
     * 四代
     */
    FOUR_ALGEBRA(4, "四代", 0),
    /**
     * 五代
     */
    FIVE_ALGEBRA(5, "五代", 0),
    /**
     * 六代
     */
    SIX_ALGEBRA(6, "六代", 0),
    /**
     * 七代
     */
    SEVEN_ALGEBRA(7, "七代", 0),
    /**
     * 八代
     */
    EIGHT_ALGEBRA(8, "八代", 0),
    /**
     * 九代
     */
    NINE_ALGEBRA(9, "九代", 0),
    /**
     * 十代
     */
    TEN_ALGEBRA(10, "十代", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
